%define upstream_name    Catalyst-Model-WebService-Solr
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Use WebService::Solr in your Catalyst application
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Runtime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(WebService::Solr)
BuildArch: noarch

%description
This module helps you use remote indexes via WebService::Solr in your
Catalyst application.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*






%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.40.0-12.mga10
+ Revision: 2203438
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.40.0-11.mga9
+ Revision: 1808383
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.40.0-10.mga8
+ Revision: 1503518
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.40.0-9.mga7
+ Revision: 1282142
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.40.0-8.mga7
+ Revision: 1167763
- BR perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 0.40.0-7.mga6
+ Revision: 1023228
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.40.0-6.mga6
+ Revision: 946847
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-5.mga5
+ Revision: 738885
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 683786
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 509712
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 363923
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.40.0-1.mga2
+ Revision: 9556
- imported package perl-Catalyst-Model-WebService-Solr


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.40.0-1mdv2011.0
+ Revision: 624934
- import perl-Catalyst-Model-WebService-Solr

